aboutsummaryrefslogtreecommitdiffstats
path: root/main/bluez/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-07-13 09:40:10 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-07-13 09:40:10 +0200
commit980b2d04ae4339594701b33cf9460757c989c94c (patch)
tree89f44a4378f7a70922ec17a6cc6604762b7661c7 /main/bluez/APKBUILD
parent915907d4a8acdf74a37866216c2f83b22ab7ef7d (diff)
downloadaports-980b2d04ae4339594701b33cf9460757c989c94c.tar.gz
aports-980b2d04ae4339594701b33cf9460757c989c94c.tar.bz2
aports-980b2d04ae4339594701b33cf9460757c989c94c.tar.xz
main/bluez: add patch for obex and install main.conf
Diffstat (limited to 'main/bluez/APKBUILD')
-rw-r--r--main/bluez/APKBUILD14
1 files changed, 10 insertions, 4 deletions
diff --git a/main/bluez/APKBUILD b/main/bluez/APKBUILD
index c47a6c36da..41d7044dc9 100644
--- a/main/bluez/APKBUILD
+++ b/main/bluez/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bluez
pkgver=5.40
-pkgrel=0
+pkgrel=1
pkgdesc="Tools for the Bluetooth protocol stack"
url="http://www.bluez.org/"
arch="all"
@@ -21,6 +21,7 @@ source="http://www.kernel.org/pub/linux/bluetooth/bluez-$pkgver.tar.xz
002-bcm43xx-The-UART-speed-must-be-reset-after-the-firmw.patch
003-Increase-firmware-load-timeout-to-30s.patch
004-Move-the-43xx-firmware-into-lib-firmware.patch
+ bluez-5.40-obexd_without_systemd-1.patch
"
_builddir="$srcdir"/bluez-$pkgver
@@ -43,6 +44,8 @@ build() {
package() {
cd "$_builddir"
make install DESTDIR="$pkgdir" || return 1
+ install -D -m644 src/main.conf "$pkgdir"/etc/bluetooth/main.conf \
+ || return 1
install -Dm755 "$srcdir"/bluetooth.initd "$pkgdir"/etc/init.d/bluetooth
install -Dm755 "$srcdir"/rfcomm.initd "$pkgdir"/etc/init.d/rfcomm
@@ -70,7 +73,8 @@ f90b2cc8fe3f0e4bed64b01c0ba0205d rfcomm.initd
7b7ee266671efa85a7b4c7c58c1c25cd 001-bcm43xx-Add-bcm43xx-3wire-variant.patch
456c04933312ce638afb4fcb3d3e39c4 002-bcm43xx-The-UART-speed-must-be-reset-after-the-firmw.patch
1dae20b038ea7697bdbdfcb9429fd6f2 003-Increase-firmware-load-timeout-to-30s.patch
-a54e9af322b150a2773edb639936bd82 004-Move-the-43xx-firmware-into-lib-firmware.patch"
+a54e9af322b150a2773edb639936bd82 004-Move-the-43xx-firmware-into-lib-firmware.patch
+ed5071c4a89231f23cbb341f533ac1b6 bluez-5.40-obexd_without_systemd-1.patch"
sha256sums="dada8b812055afcad4546d9966f9a763e4723169e89706e2b240c7b7e998dc27 bluez-5.40.tar.xz
04395bdcbf69aafea1d127204677c72a6bf42bde1e8f809d31472ec5fa75057d bluetooth.initd
9407186d0a647af2228d5603a13cf7aaba5fac842c147aa46334c3d729b552d4 rfcomm.initd
@@ -78,7 +82,8 @@ sha256sums="dada8b812055afcad4546d9966f9a763e4723169e89706e2b240c7b7e998dc27 bl
f93802235c344a1eeb43125bd7a995f49bd99cc10aca14a4cc79740a22de4909 001-bcm43xx-Add-bcm43xx-3wire-variant.patch
e872945550cee1913067c678714a2813c19696a8cc66078780e098af4dbd1bce 002-bcm43xx-The-UART-speed-must-be-reset-after-the-firmw.patch
166b45e8cbfe347d8ccea835274cbbd75bb53989b81121effa0bb8ff49921996 003-Increase-firmware-load-timeout-to-30s.patch
-c8a26033e5eaffe61837a45851d4608d993924bd3ac1d0560aef96f324b6e205 004-Move-the-43xx-firmware-into-lib-firmware.patch"
+c8a26033e5eaffe61837a45851d4608d993924bd3ac1d0560aef96f324b6e205 004-Move-the-43xx-firmware-into-lib-firmware.patch
+20fb46baa7aed312b5e223fa4bf605f9cff76170ea9fa3b50825c267d5b8c573 bluez-5.40-obexd_without_systemd-1.patch"
sha512sums="44b86f75668fc0bd9552a7864ba50cefe1ae43701e4e3a8195cc125c750fa3e3513bcba00c1a9a1921aaa91a7fd048263a326290dfe238f34ea136f29ce21ade bluez-5.40.tar.xz
0a5c652effebe5f2fd968535b2d99e8b9b6983f847fd162f80e5965ade4b7bd12165d27b348506a08503d1bc8c2cf5c8265758ca1e9670dfb5e765edf121fd96 bluetooth.initd
8d7b7c8938a2316ce0a855e9bdf1ef8fcdf33d23f4011df828270a088b88b140a19c432e83fef15355d0829e3c86be05b63e7718fef88563254ea239b8dc12ac rfcomm.initd
@@ -86,4 +91,5 @@ a70aa0dbbabe7e29ee81540a6f98bf191a850da55a28f678975635caf34b363cf4d461a801b34841
73202915fda01d420b2864da77b1c25af5a55c815e9be6546400a0940bfb6097d83322790bc22a80ec0fcd557144fdd1877e243a79285a7f040ff96ba3600b94 001-bcm43xx-Add-bcm43xx-3wire-variant.patch
d5fd1c962bd846eaa6fff879bab85f753eb367d514f82d133b5d3242e1da989af5eddd942c60a87d5b67783e060f91bfa0f74fb1e8e6699cdee6e5bbe6a431ea 002-bcm43xx-The-UART-speed-must-be-reset-after-the-firmw.patch
784e9644c8de4e2693e2eeed988a245608b8cb14e1fc0dff8795c60c527b2e8d0c87862cfbfd6b850b47ae80cdf993a5ed3f477078ea1068fd7374899c7a1a77 003-Increase-firmware-load-timeout-to-30s.patch
-42ac04044a8c66e07487598b3a75ef52efc32999ebce4e7c63f6198e2f603f4a1442e74600e43a0938cb4f52d4db0298aa99050b18144b84990cda71748e9de5 004-Move-the-43xx-firmware-into-lib-firmware.patch"
+42ac04044a8c66e07487598b3a75ef52efc32999ebce4e7c63f6198e2f603f4a1442e74600e43a0938cb4f52d4db0298aa99050b18144b84990cda71748e9de5 004-Move-the-43xx-firmware-into-lib-firmware.patch
+41ce7ccf78cca97563f0ef31e01dac6eb4484c24fe57be360b5e8de8c5bff5845e9d395766f891bd3f123788344456c88c9fc00cd1bb7c6a1dca89d09f19172b bluez-5.40-obexd_without_systemd-1.patch"